<?php
class Search_DropdownAR extends netsControl {
	public function Search_DropdownAR(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
?>
<!-- #<?php echo ($tmpControl); ?> -->
<div id="<?php echo ($tmpControl); ?>PanelBox" class="SearchCell">
<!--S.<?php echo ($tmpControl); ?>-->
<div id="<?php echo ($tmpControl); ?>_Label" class="SearchTitle"><?php echo ($pColumn['stcoctUiName']); ?>：</div>
<div class="SearchControl"><select id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" class="SControl1 SDropdown SearchDropdownAR"
onclick="tmpControl.onControlLight(this,'SDropdown SearchDropdownAR');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'SDropdown SearchDropdownAR');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
style="<?php echo ($pColumn['ControlStyle']); ?>" >
<?php
		foreach ($pColumn['Option'] as $Option){
?><option value="<?php echo ($Option['Value']); ?>" title="<?php echo ($Option['Title']); ?>" style="<?php echo ($Option['Style']); ?>" <?php if($pColumn['Value']==$Option['Value']){ echo( ' selected="selected" class="FBlack1" '); }else{ echo(' class="FBlack3" '); } ?> ><?php echo ($Option['Text']); ?></option><?php
		}
?>
</select></div><!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></div>
<?php
	}
}
?>